#!/bin/bash
function upload(){
   ./gradlew $1:clean $1:uploadArchives
   if [ $? -ne 0 ];then exit; fi
}

for module in `cat modules.txt`;
do
  upload $module
done
echo -e "\033[32m 恭喜你完成了所有MoGo模块上传 \033[0m"